Summary:  Parental control tool
Name:     drakguard
Version:  0.4
%define subrel 1
Release:  %mkrel 2
Source0:  %name-%version.tar.bz2
Patch0:   %name-%version-dansguardian.patch
License:  GPL
Group:    System/Configuration/Other
Url:      http://www.mandriva.com/
BuildRequires: perl-MDK-Common-devel gettext
Requires: drakxtools >= 10.22
Requires: drakx-net >= 0.32
BuildRoot: %_tmppath/%name-%version-buildroot
BuildArch: noarch

%description
This tool allows to configure parental control. It can block access to
web sites and restrict connection during a specified timeframe.

%prep
%setup -q
%patch0 -p1 -b .dansguardian

%build
%make

%install
rm -fr %{buildroot}
%makeinstall_std
%find_lang %name

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS
%{_sbindir}/%{name}
%{_sbindir}/*
/usr/lib/libDrakX/icons/*


%changelog
* Wed May 20 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.4-2.1mdv2008.1
- Rebuild for updates.

* Mon May 18 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.4-2mdv2008.1
+ Revision: 376945
- Properly detecting dansguardian control level (#50700)

* Thu Apr 03 2008 Olivier Blin <oblin@mandriva.com> 0.4-1mdv2008.1
+ Revision: 192245
- 0.4
- fix whitelisting websites, by using a site list, and not an url list
- add wait message when applying configuration
- hide inactive time control pane (the "time" netfilter module does
  not work out of the box in current kernel)

* Thu Apr 03 2008 Olivier Blin <oblin@mandriva.com> 0.3-1mdv2008.1
+ Revision: 192201
- 0.3
- really quit gui when needed (like when packages instalaltion is
  cancelled, #39557)
- allow to add/remove users from users whitelist

* Thu Mar 27 2008 Olivier Blin <oblin@mandriva.com> 0.2-1mdv2008.1
+ Revision: 190757
- require recent drakxtools (to be able to use stock icons in buttons)
- require recent drakx-net (#39437)
- 0.2
- adapt dansguardian language to system locale
- use scrolled window for user lists
- use stock icons for add/remove buttons
- do not allow to enter an url twice in blacklist/whitelist
- strip protocol when adding an url to blacklist/whitelist
- reload shorewall config if it has just been installed
- do not write conf if disabled
- do not write shorewall conf if shorewall disabled
- ask only one time to install packages (suggested by pterjan)
- rename icons (mostly for MCC)

* Thu Mar 27 2008 Olivier Blin <oblin@mandriva.com> 0.1-1mdv2008.1
+ Revision: 190585
- initial version
- create drakguard

